|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Resource Compiler (rcc)

The `rcc` tool is used to embed resources into a Qt application during the build process. It works by generating a C++ source file containing data specified in a Qt resource (.qrc) file.

Usage:

         rcc [options] <inputs>

RCC accepts the following command line options:

Option | Argument | Description
--- | --- | ---
`-o` |  | Writes output to file rather than stdout.
`-name` | `name` | Creates an external initialization function with name.
`-threshold` | `level` | Specifies a threshold (in bytes) to use when compressing files. If the file is smaller than the threshold, it will not be compressed, independent of what the compression level is.
`-compress` | `level` | Compresses input files with the given level. Level is an integer from 1 to 9 - 1 being the fastest, producing the least compression; 9 being the slowest, producing the most compression.
`-root` | `path` | Prefixes the resource access path with root path.
`-no-compress` |  | Disables all compression.
`-binary` |  | Outputs a binary file for use as a dynamic resource.
`-version` |  | Displays version information.
`-help` |  | Displays usage information.

See also The Qt Resource System for more information about embedding resources in Qt applications.